/*
 * Copyright (c) 2003-2006 Viliam Holub
 */

#include "text.h"

const char * const txt_help =
	"lk  2003-6 Viliam Holub\n"
        "usage: lk ([line] [{+/-/=}sw ...] [name])*\n"
	"\n"
	"Line format: device,speed_parity_bits\n"
	"\n"
	"Options:\n"
	"    -v, --verbose  enable verbose mode\n"
	"    -h, --help     shows help and exits\n"
	"\n"
	"Switches:\n"
	"    cc    carrier control    fc  hw flow control\n"
	"    ds    double stop bit    pc  parity check\n"
	"    ix    sw flow control\n"
	"    ixon  swfc on output\n"
	"    ixoff swfc on input\n"
	"\n"
	"Modifiers:\n"
	"    +  enable option\n"
	"    -  disable option\n"
	"    =  do not change option\n"
	"\n"
	"Examples:\n"
	"  line configuration:	ttyS1,9600n7\n"
	"  options:		-v +fc +ds -pc\n";

const char * const txt_screen_help =
	"\r\n[Menu]------------------------------------\r\n"
	"Press Ctrl+\\ and one of following commands\r\n"
	"q       quit lk\r\n"
	"d       detach (hangup and quit)\r\n"
	"h       hangup a line\r\n"
	"b       send serial break\r\n"
	"Ctrl+\\  send the command\r\n"
	"?       shows help\r\n";

const char * const txt_enter_raw =
	"Entering raw mod, press Ctrl+\\ and ? for help\r";

char *txt_progname;
const char *const txt_default_progname = "lk";

const char *txt_CRNL = "\r\n";

const char *txt_illparity = "%s: Illegal parity value '%c'.";
const char *txt_illbaud = "Illegal baud rate specified.";
const char *txt_illbaud2 = "Illegal or unsupproted baud rate specified.";
const char *txt_illchar = "Illegal character size value.";
const char *txt_invpar = "Unrecognized parameter.";
const char *txt_fcuns = "Hardware flow control is not supported.";
const char *txt_fciuns = "Hardware input flow control is nor supported.";
const char *txt_fcouns = "Hardware output flow control is nor supported.";

const char *conf_name = ".lk";
